<div class="container">
  <div class="row justify-content-center">
    <div class="col col-md-8 card card-body text-center">
      <h5>Employee creation</h5>
    </div>
  </div>
  <div class="row justify-content-center mt-2">
    <div class="col col-md-8 card card-body">
      <div class="container-fluid">
        <form [formGroup]="creationForm" (ngSubmit)="saveUser()">
          <div class="row">
            <div class="col col-md-6 form-group">
              <label for="name">Name</label>
              <input type="text" id="name" class="form-control" formControlName="name">
              <div class="my-0" *ngIf="creationForm.get('name').invalid && (creationForm.get('name').dirty || creationForm.get('name').touched)">
                <small class="text-danger" *ngIf="creationForm.get('name').errors.required">This field is required</small>
                <small class="text-danger" *ngIf="creationForm.get('name').errors.pattern">Only A-Z and uppercase letters are allowed, no special characters</small>
                <small class="text-danger" *ngIf="creationForm.get('name').errors.maxlength">Max 20 characters</small>
              </div>
            </div>
            <div class="col col-md-6 form-group">
              <label for="otherName">Other Name</label>
              <input type="text" id="othertName" class="form-control" formControlName="otherName">
              <div class="my-0" *ngIf="creationForm.get('otherName').invalid && (creationForm.get('otherName').dirty || creationForm.get('otherName').touched)">
                <small class="text-danger" *ngIf="creationForm.get('otherName').errors.pattern">Only A-Z and uppercase letters are allowed, no special characters</small>
                <small class="text-danger" *ngIf="creationForm.get('otherName').errors.maxlength">Max 50 characters</small>
              </div>
            </div>
          </div>
          <div class="row">
            <div class="col col-md-6 form-group">
              <label for="surname">Surname</label>
              <input type="text" id="surname" class="form-control" formControlName="surname">
              <div class="my-0" *ngIf="creationForm.get('surname').invalid && (creationForm.get('surname').dirty || creationForm.get('surname').touched)">
                <small class="text-danger" *ngIf="creationForm.get('surname').errors.required">This field is required</small>
                <small class="text-danger" *ngIf="creationForm.get('surname').errors.pattern">Only A-Z and uppercase letters are allowed, no special characters</small>
                <small class="text-danger" *ngIf="creationForm.get('surname').errors.maxlength">Max 20 characters</small>
              </div>
            </div>
            <div class="col col-md-6 form-group">
              <label for="secondSurname">Second Surname</label>
              <input type="text" id="sercondSurname" class="form-control" formControlName="secondSurname">
              <div class="my-0" *ngIf="creationForm.get('secondSurname').invalid && (creationForm.get('secondSurname').dirty || creationForm.get('secondSurname').touched)">
                <small class="text-danger" *ngIf="creationForm.get('secondSurname').errors.required">This field is required</small>
                <small class="text-danger" *ngIf="creationForm.get('secondSurname').errors.pattern">Only A-Z and uppercase letters are allowed, no special characters</small>
                <small class="text-danger" *ngIf="creationForm.get('secondSurname').errors.maxlength">Max 20 characters</small>
              </div>
            </div>
          </div>
          <div class="row">
            <div class="col col-md-6 form-group">
              <label for="employment">Employment Country</label>
              <select name="employment" id="employment" class="custom-select form-control" formControlName="employmentCountry">
                <option [ngValue]="'USA'">United States</option>
                <option [ngValue]="'CO'">Colombia</option>
              </select>
              <div class="my-0" *ngIf="creationForm.get('employmentCountry').invalid && (creationForm.get('employmentCountry').dirty || creationForm.get('employmentCountry').touched)">
                <small class="text-danger" *ngIf="creationForm.get('employmentCountry').errors.required">This field is required</small>
              </div>
            </div>
            <div class="col col-md-6 form-group">
              <label for="area">Area</label>
              <select name="area" class="custom-select form-control" id="area" *ngIf="workAreaList && workAreaList.length > 0"  formControlName="workArea">
                <option *ngFor="let area of workAreaList" [ngValue]="area">{{area.description}}</option>
              </select>
              <div class="my-0" *ngIf="creationForm.get('workArea').invalid && (creationForm.get('workArea').dirty || creationForm.get('workArea').touched)">
                <small class="text-danger" *ngIf="creationForm.get('workArea').errors.required">This field is required</small>
              </div>
            </div>
          </div>
          <div class="row">
            <div class="col col-md-6 form-group">
              <label for="documentType">Document Type</label>
              <select name="documentType" id="documentType" class="custom-select form-control" formControlName="idType">
                <option [ngValue]="'CC'">Cedula Ciudadania</option>
                <option [ngValue]="'CE'">Cedula Extranjería</option>
                <option [ngValue]="'PASSPORT'">Pasaporte</option>
                <option [ngValue]="'SP'">Permiso especial</option>
              </select>
              <div class="my-0" *ngIf="creationForm.get('idType').invalid && (creationForm.get('idType').dirty || creationForm.get('idType').touched)">
                <small class="text-danger" *ngIf="creationForm.get('idType').errors.required">This field is required</small>
              </div>
            </div>
            <div class="col col-md-6 form-group">
              <label for="documentNumber">Document Number</label>
              <input type="text" id="documentNumber" class="form-control" formControlName="identificationNumber">
              <div class="my-0" *ngIf="creationForm.get('identificationNumber').invalid && (creationForm.get('identificationNumber').dirty || creationForm.get('identificationNumber').touched)">
                <small class="text-danger" *ngIf="creationForm.get('identificationNumber').errors.required">This field is required</small>
                <small class="text-danger" *ngIf="creationForm.get('identificationNumber').errors.pattern">No special characters allowed</small>
                <small class="text-danger" *ngIf="creationForm.get('identificationNumber').errors.maxlength">Max 20 characters</small>
              </div>
            </div>
          </div>
          <div class="row">
            <div class="col col-md-12 form-group">
              <label for="admissionDate">Admission Date</label>
              <input type="date"  [min]="minDate" [max]="dateToday" class="form-control" formControlName="admissionDate">
            </div>
          </div>
          <div class="row">
            <div class="col col-md-12">
              <button type="submit" class="btn btn-primary btn-block" [disabled]="creationForm.invalid">Create User <i class="fas fa-user-plus"></i></button>
            </div>
          </div>
          <div class="row mt-2" *ngIf="creationResponse.response">
            <div class="col col-md-12 alert" role="alert" [ngClass]="{'alert-danger': creationResponse.error, 'alert-success': creationResponse.wasCreated}">
              {{creationResponse.responseText}}
            </div>
          </div>
        </form>
      </div>
    </div>
  </div>
</div>
